%define pkg_name        Sort-Naturally
%define pkg_version     1.02
%define rpm_pkg_version 1.02
%define rpm_pkg_release 4.n0i.7

Summary:       Sort lexically, but sort numeral parts numerically
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SB/SBURKE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test)}


%description
This module exports two functions, "nsort" and "ncmp"; they are used in
implementing my idea of a "natural sorting" algorithm. Under natural sorting,
numeric substrings are compared numerically, and other word-characters are
compared lexically.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.02-4.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.02-3.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.02-2.n0i.5
- version 1.02

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.01-1.n0i.4
- automatic rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:1.01-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:1.01-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Mon Jun 30 2003 Marius FERARU <altblue@n0i.net> 1.01-0.n0i
- version 1.01
- Initial build.
